package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.clean.domain.CleanQuery;
import com.ruoyi.ss.clean.domain.CleanVO;
import com.ruoyi.ss.clean.service.ICleanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 保洁记录Controller
 *
 * @author qzz
 * @date 2024-11-19
 */
@RestController
@RequestMapping("/app/clean")
public class AppCleanController extends BaseController
{
    @Autowired
    private ICleanService eCleanService;

    /**
     * 查询保洁记录列表
     */
    @GetMapping("/list")
    public TableDataInfo list(CleanQuery query)
    {
        startPage();
        startOrderBy();
        List<CleanVO> list = eCleanService.selectECleanList(query);
        return getDataTable(list);
    }


    /**
     * 获取保洁记录详细信息
     */
    @GetMapping(value = "/{cleanId}")
    public AjaxResult getInfo(@PathVariable("cleanId") Long cleanId)
    {
        return success(eCleanService.selectECleanByCleanId(cleanId));
    }

}
