package com.ruoyi.ss.order.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.dividendDetail.domain.DividendDetail;
import com.ruoyi.ss.order.domain.dto.ProductDTO;
import com.ruoyi.ss.order.domain.dto.TopUpOrderDTO;
import com.ruoyi.ss.product.domain.ProductVO;
import com.ruoyi.ss.user.domain.UserVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.order.domain.dto.ReOrderDTO;
import com.ruoyi.ss.room.domain.RoomVO;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.store.domain.StoreVO;
import com.ruoyi.ss.order.domain.dto.OrderDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderBO {

    // 原始参数
    private OrderDTO params;

    // 续单原始参数
    private ReOrderDTO reOrderDTO;

    // 充值订单
    private TopUpOrderDTO topUpOrder;

    // 货柜订单原始参数
    private ProductDTO productDTO;

    // 新订单
    private Order order;

    // 原订单
    private OrderVO originalOrder;

    //app用户
    private UserVO user;

    //商户
    private UserVO merchant;

    // 支付渠道
    private ChannelVO channel;

    //房间
    private RoomVO room;

    //房间门
    private DeviceVO door;

    //套餐
    private FeeRuleVO feeRule;

    // 店铺
    private StoreVO store;

    //大门
    private DeviceVO gate;

    //商品
    private ProductVO product;
//
//    // 分成详情
//    List<DividendDetail> dividends;

    // 订单类型：1-预定单；2-续单;3-余额充值
    private String type;

    // 平台服务费
    private BigDecimal platformServiceFee;
}

